## node-eslint-plugin-requirejs 4.0.0

=== debian/changelog ===
node-eslint-plugin-requirejs (4.0.0-5) unstable; urgency=medium

  * stop tolerate stderr noise in autopkgtest
  * improve helper tool tap-todo to handle any extended test content
    (not only YAML data);
    simplify tests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Mar 2020 12:25:21 +0100

node-eslint-plugin-requirejs (4.0.0-4) unstable; urgency=medium

  * de-embed helper script tap-todo;
    fix build-depend on perl
  * copyright: extend coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Mar 2020 11:41:10 +0100

node-eslint-plugin-requirejs (4.0.0-3) unstable; urgency=medium

  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * add patch 1001 to lint code using eslint
  * check with eslint as build test;
    build-depend on eslint node-eslint-plugin-node
    (not node-eslint)
  * skip only specific failing mocha tests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Mar 2020 22:47:18 +0100

node-eslint-plugin-requirejs (4.0.0-2) experimental; urgency=medium

  * fix clean generated docs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2019 10:59:00 +0100

node-eslint-plugin-requirejs (4.0.0-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#943670.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Oct 2019 19:25:13 +0100
