=== debian/control ===
Source: node-eslint-plugin-requirejs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper-compat (= 12),
 eslint <!nocheck>,
 mocha <!nocheck>,
 node-eslint-plugin-node <!nocheck>,
# node-ignore <!nocheck>,
# node-js-yaml <!nocheck>,
# node-semver <!nocheck>,
# node-shelljs,
 pandoc <!nodoc>,
 perl <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://github.com/cvisco/eslint-plugin-requirejs
Vcs-Browser: https://salsa.debian.org/js-team/node-eslint-plugin-requirejs
Vcs-Git: https://salsa.debian.org/js-team/node-eslint-plugin-requirejs.git
Rules-Requires-Root: no

Package: node-eslint-plugin-requirejs
Architecture: all
Depends:
 node-ignore,
 nodejs,
 ${misc:Depends},
Enhances:
 eslint,
Description: enforce code conventions for RequireJS modules with ESLint
 eslint-plugin-requirejs provides a plugin for ESLint
 covering JavaScript code targeted RequireJS.
 .
 ESLint is a tool for identifying and reporting on patterns
 found in ECMAScript/JavaScript code.
 .
 RequireJS is a JavaScript file and module loader.
