=== debian/tests/control ===
Test-Command: node -e "require('eslint-plugin-requirejs');"
Depends:
 node-eslint-plugin-requirejs,
Restrictions: superficial

Test-Command:
 sed -i -e 'require("\.\./\.\./\.\./lib/rules/([^"]+)"),require("eslint-plugin-requirejs").rules.\1;,' tests/lib/*/*.js
 && find tests/lib/*/*.js -not -name enforce-define.js -exec mocha --reporter tap '{}' +
Depends:
 mocha,
 node-eslint,
 node-eslint-plugin-requirejs,
