## node-eslint-plugin-requirejs 4.0.1

=== debian/changelog ===
node-eslint-plugin-requirejs (4.0.1-3) unstable; urgency=medium

  * Team upload
  * Add stderr during autopkgtest (Closes: #1102410)

 -- Yadd <yadd@debian.org>  Wed, 09 Apr 2025 06:44:48 +0200

node-eslint-plugin-requirejs (4.0.1-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * Drop obsolete field "additionalItems" in schemas (Closes: #1060930)

 -- Yadd <yadd@debian.org>  Sun, 06 Apr 2025 16:53:35 +0200

node-eslint-plugin-requirejs (4.0.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse

  [ Jonas Smedegaard ]
  * update copyright info:
    + update coverage
    + use Reference field (not License-Reference);
      tighten lintian overrides
  * simplify source helper script copyright-check
  * update git-buildpackage config:
    + use DEP-14 branches debian/latest upstream/latest
    + add usage comment
  * use debhelper compatibility level 13 (not 12)
  * build-depend explicitly on node-eslint-config-eslint

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Sep 2021 19:08:08 +0200

node-eslint-plugin-requirejs (4.0.0-7) unstable; urgency=medium

  * stop depend on nodejs;
    have autopkgtest depend on nodejs
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Dec 2020 05:21:08 +0100

node-eslint-plugin-requirejs (4.0.0-6) unstable; urgency=medium

  * watch: drop unused repacksuffix
  * update helper script tap-todo:
    + pre-compile regexes
    + fix fail if no tests were run
    + fix counting, and emit error message on failure
  * build-depend on node-ignore, to improve test coverage
  * update patch 1001
  * update workarounds for failing tests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Apr 2020 02:13:38 +0200
