=== debian/control ===
--- 
+++ 
@@ -5,17 +5,15 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  eslint <!nocheck>,
  mocha <!nocheck>,
+ node-eslint-config-eslint <!nocheck>,
  node-eslint-plugin-node <!nocheck>,
-# node-ignore <!nocheck>,
-# node-js-yaml <!nocheck>,
-# node-semver <!nocheck>,
-# node-shelljs,
+ node-ignore <!nocheck>,
  pandoc <!nodoc>,
  perl <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/cvisco/eslint-plugin-requirejs
 Vcs-Browser: https://salsa.debian.org/js-team/node-eslint-plugin-requirejs
 Vcs-Git: https://salsa.debian.org/js-team/node-eslint-plugin-requirejs.git
@@ -25,10 +23,10 @@
 Architecture: all
 Depends:
  node-ignore,
- nodejs,
  ${misc:Depends},
 Enhances:
  eslint,
+Multi-Arch: foreign
 Description: enforce code conventions for RequireJS modules with ESLint
  eslint-plugin-requirejs provides a plugin for ESLint
  covering JavaScript code targeted RequireJS.
