=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/pkg-info.mk
-
-# detect if build targets experimental suite (or is a draft)
-DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))
 
 # generate documentation unless nodoc requested
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -19,9 +14,6 @@
  lib/rules/amd-function-arity.js \
  lib/rules/sort-amd-paths.js
 
-MOCHA_BROKEN = \
- tests/lib/rules/enforce-define.js
-
 override_dh_auto_build: $(DOCS)
 
 override_dh_auto_test:
@@ -33,11 +25,7 @@
 		"lib/utils/ast.js::Assignment to function parameter 'node'.*line: 151.*ruleId: no-param-reassign" \
 		'lib/rules/amd-function-arity.js::Arrow function used ambiguously with a conditional expression.*line: 82.*ruleId: no-confusing-arrow' \
 		'lib/rules/sort-amd-paths.js::Arrow function used ambiguously with a conditional expression.*line: 74.*ruleId: no-confusing-arrow'
-	$(strip find tests/lib/*/*.js \
-		$(patsubst %,-not -path '%',$(MOCHA_BROKEN)) \
-		-exec $(MOCHA) '{}' +)
-	$(MOCHA) $(MOCHA_BROKEN) | debian/tap-todo \
-		'^enforce-define invalid\z::Error: ESLint configuration in rule-tester is invalid:.*Unexpected top-level property "args"'
+	$(MOCHA) tests/lib/*/*.js
 
 override_dh_installdocs:
 	dh_installdocs --all -- $(DOCS)
