=== debian/tests/control ===
Test-Command: node -e "require('eslint-plugin-requirejs');"
Depends:
 node-eslint-plugin-requirejs,
 nodejs,
Restrictions: superficial

Test-Command:
 sed -i -e 'require("\.\./\.\./\.\./lib/rules/([^"]+)"),require("eslint-plugin-requirejs").rules.\1;,' tests/lib/*/*.js
 && mocha --reporter tap tests/lib/*/*.js
Depends:
 mocha,
 node-eslint,
 node-eslint-plugin-requirejs,
 node-ignore,
Restrictions: allow-stderr
